> For the complete documentation index, see [llms.txt](https://docs.novarpc.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.novarpc.xyz/rpc-api-specification.md).

# RPC API Specification

Requests to the RPC fall into one of two categories:

## Standard Ethereum JSON-RPC

Methods in the Ethereum stable API behave like a typical Ethereum RPC endpoint. They follow standard request/response and work as expected with existing wallets and tooling.&#x20;

These are calls like `eth_estimateGas`, `eth_getBalance`, and `eth_chainId`. Many non-OFA RPC providers already document these, and it can be expected that we support the same things <https://www.alchemy.com/docs/stable/stable-api-overview>.

## Managed methods

Managed methods are treated as workflow requests. Additional logic and constraints are applied to these methods, specific to bundle & transaction execution. These are calls like `eth_sendBundle`, and `eth_sendRawTransaction`.

### eth\_sendBundle

{% content-ref url="/pages/dWxDfvJnCc6WEyqTR3xl" %}
[eth\_sendBundle](/rpc-api-specification/eth_sendbundle.md)
{% endcontent-ref %}

### eth\_sendRawTransaction

{% content-ref url="/pages/H8xE4NEfvHAsjAw8zhDC" %}
[eth\_sendRawTransaction](/rpc-api-specification/eth_sendrawtransaction.md)
{% endcontent-ref %}

### eth\_getTransactionCount

{% content-ref url="/pages/7fY84r6VZF21ovSXh9T4" %}
[eth\_getTransactionCount](/rpc-api-specification/eth_gettransactioncount.md)
{% endcontent-ref %}

### eth\_getTransactionByHash

{% content-ref url="/pages/7UmrJDmLVaR5D1gQHkLw" %}
[eth\_getTransactionByHash](/rpc-api-specification/eth_gettransactionbyhash.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.novarpc.xyz/rpc-api-specification.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
